## com.lowagie.text.html.simpleparser
Class FactoryProperties

    java.lang.Object
      com.lowagie.text.html.simpleparser.FactoryProperties

    public class FactoryProperties

extends Object

Author:
  psoares

Field Summary
`static HashMap` `followTags`
`private FontProvider` `fontImp`

Constructor Summary
`FactoryProperties()` Creates a new instance of FactoryProperties

Method Summary
`Chunk` `createChunk(String text, ChainedProperties props)`
`static ListItem` `createListItem(ChainedProperties props)`
`static Paragraph` `createParagraph(ChainedProperties props)`
`static void` `createParagraph(Paragraph p, ChainedProperties props)`
`Font` `getFont(ChainedProperties props)`
`FontProvider` `getFontImp()`
`static HyphenationEvent` `getHyphenation(ChainedProperties props)` Gets a HyphenationEvent based on the hyphenation entry in ChainedProperties.
`static HyphenationEvent` `getHyphenation(HashMap props)` Gets a HyphenationEvent based on the hyphenation entry in a HashMap.
`static HyphenationEvent` `getHyphenation(String s)` Gets a HyphenationEvent based on a String.
`static void` `insertStyle(HashMap h)` This method isn't used by iText, but you can use it to analyze the value of a style attribute inside a HashMap.
`static void` `insertStyle(HashMap h, ChainedProperties cprops)` New method contributed by Lubos Strapko
`void` `setFontImp(FontProvider fontImp)`
`private static void` `setParagraphLeading(Paragraph p, String leading)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontImp

    private FontProvider fontImp

Since:
  iText 5.0 This used to be a FontFactoryImp

### followTags

    public static HashMap followTags

Constructor Detail

### FactoryProperties

    public FactoryProperties()

  Creates a new instance of FactoryProperties

Method Detail

### createChunk

    public Chunk createChunk(String text,
                             ChainedProperties props)

### setParagraphLeading

    private static void setParagraphLeading(Paragraph p,
                                            String leading)

### createParagraph

    public static void createParagraph(Paragraph p,
                                       ChainedProperties props)

### createParagraph

    public static Paragraph createParagraph(ChainedProperties props)

### createListItem

    public static ListItem createListItem(ChainedProperties props)

### getFont

    public Font getFont(ChainedProperties props)

### getHyphenation

    public static HyphenationEvent getHyphenation(ChainedProperties props)

  Gets a HyphenationEvent based on the hyphenation entry in ChainedProperties.

  Parameters:
    `props` - ChainedProperties
  Returns:
    a HyphenationEvent
  Since:
    2.1.2

### getHyphenation

    public static HyphenationEvent getHyphenation(HashMap props)

  Gets a HyphenationEvent based on the hyphenation entry in a HashMap.

  Parameters:
    `props` - a HashMap with properties
  Returns:
    a HyphenationEvent
  Since:
    2.1.2

### getHyphenation

    public static HyphenationEvent getHyphenation(String s)

  Gets a HyphenationEvent based on a String. For instance "en_UK,3,2" returns new HyphenationAuto("en", "UK", 3, 2);

  Parameters:
    `s` - a String, for instance "en_UK,2,2"
  Returns:
    a HyphenationEvent
  Since:
    2.1.2

### insertStyle

    public static void insertStyle(HashMap h)

  This method isn't used by iText, but you can use it to analyze the value of a style attribute inside a HashMap. The different elements of the style attribute are added to the HashMap as key-value pairs.

  Parameters:
    `h` - a HashMap that should have at least a key named style. After this method is invoked, more keys could be added.

### insertStyle

    public static void insertStyle(HashMap h,
                                   ChainedProperties cprops)

  New method contributed by Lubos Strapko

  Parameters:
    `h` -
    `cprops` -
  Since:
    2.1.3

### getFontImp

    public FontProvider getFontImp()

### setFontImp

    public void setFontImp(FontProvider fontImp)

Hosted by Hostbasket